Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp.pdfa
Class XMPSchemaPDFAId

    java.lang.Object
      org.jempbox.xmp.XMPSchema
          org.jempbox.xmp.pdfa.XMPSchemaPDFAId

public class XMPSchemaPDFAId
extends XMPSchema

Define XMP properties used PDFA extension schema description schemas. TODO 2 naked so far, implement

Version:
  $Revision: 1.1 $
Author:
  Karsten Krieg (kkrieg@intarsys.de)

Field Summary
`static java.lang.String` | `NAMESPACE` The namespace for this schema.

Fields inherited from class org.jempbox.xmp.XMPSchema
`NS_NAMESPACE, prefix, schema`

Constructor Summary
`XMPSchemaPDFAId(org.w3c.dom.Element element, java.lang.String prefix)` Constructor from existing XML element.
`XMPSchemaPDFAId(XMPMetadata parent)` Construct a new blank PDFA schema.

Method Summary
`java.lang.String` | `getAmd()` Get the amendment idenitifier.
`java.lang.String` | `getConformance()` Get the conformance level.
`java.lang.Integer` | `getPart()` Get the ISO19005 part number.
`void` | `setAmd(java.lang.String amd)` Set the amendment idenitifier.
`void` | `setConformance(java.lang.String conformance)` Set the conformance level.
`void` | `setPart(java.lang.Integer part)` Set the ISO19005 part number.

Methods inherited from class org.jempbox.xmp.XMPSchema
`addBagValue, addSequenceDateValue, addSequenceValue, addSequenceValue, getAbout, getBagList, getBooleanProperty, getDateProperty, getElement, getEventSequenceList, getIntegerProperty, getLanguageProperty, getLanguagePropertyLanguages, getSequenceDateList, getSequenceList, getTextProperty, getThumbnailProperty, merge, removeBagValue, removeSequenceDateValue, removeSequenceValue, removeSequenceValue, setAbout, setBooleanProperty, setDateProperty, setIntegerProperty, setLanguageProperty, setTextProperty, setThumbnailProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  The namespace for this schema. This is the future amendment of the PDFA Spec with the trailing slash at end

  See Also:
    Constant Field Values

Constructor Detail

### XMPSchemaPDFAId

    public XMPSchemaPDFAId(XMPMetadata parent)

  Construct a new blank PDFA schema.

Parameters:
  `parent` - The parent metadata schema that this will be part of.

### XMPSchemaPDFAId

    public XMPSchemaPDFAId(org.w3c.dom.Element element,
                           java.lang.String prefix)

  Constructor from existing XML element.

Parameters:
  `element` - The existing element.
  `prefix` - The schema prefix.

Method Detail

### getPart

    public java.lang.Integer getPart()

  Get the ISO19005 part number.

  Returns:
    The ISO 19005 part number.

### setPart

    public void setPart(java.lang.Integer part)

  Set the ISO19005 part number.

  Parameters:
    `part` - The ISO 19005 part number.

### setAmd

    public void setAmd(java.lang.String amd)

  Set the amendment idenitifier.

  Parameters:
    `amd` - The amendment idenitifier.

### getAmd

    public java.lang.String getAmd()

  Get the amendment idenitifier.

  Returns:
    The amendment idenitifier.

### setConformance

    public void setConformance(java.lang.String conformance)

  Set the conformance level.

  Parameters:
    `conformance` - The conformance level.

### getConformance

    public java.lang.String getConformance()

  Get the conformance level.

  Returns:
    The conformance level.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD